<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Składowe klas - Funkcje</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_func.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="contents">
<div class="textblock">&#160;</div>

<h3><a id="index_b" name="index_b"></a>- b -</h3><ul>
<li>build()&#160;:&#160;<a class="el" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc">RobotModel</a></li>
<li>buildRobot()&#160;:&#160;<a class="el" href="class_robot_model.html#a5ff73305cdfe2a1691b0c52c46a38a54">RobotModel</a></li>
</ul>


<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>changeEvent()&#160;:&#160;<a class="el" href="class_main_window.html#a416ae2140ac1aa9f03a6279316abdcad">MainWindow</a></li>
<li>changeTitle()&#160;:&#160;<a class="el" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">FramedWidget</a></li>
<li>checkMeasuresSize()&#160;:&#160;<a class="el" href="class_robot_model.html#acbfac5e4469144d48c761f01631df790">RobotModel</a></li>
<li>contextMenuEvent()&#160;:&#160;<a class="el" href="class_main_window.html#a9fdfec5708365ddc98b17e431398841f">MainWindow</a></li>
<li>countCoords()&#160;:&#160;<a class="el" href="class_travel_info.html#aded556ed7e83a46c97f60e2593299ded">TravelInfo</a></li>
<li>createMenu()&#160;:&#160;<a class="el" href="class_main_window.html#a03799692902ab88a551b4dca1fa042db">MainWindow</a></li>
</ul>


<h3><a id="index_d" name="index_d"></a>- d -</h3><ul>
<li>DistanceWin()&#160;:&#160;<a class="el" href="class_distance_win.html#ae65882b3771d560247ee6228b8fa03d9">DistanceWin</a></li>
<li>draw()&#160;:&#160;<a class="el" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c">Viewer</a></li>
<li>drawBase()&#160;:&#160;<a class="el" href="class_robot_model.html#a12178061bc2160d73de81f418c65f25b">RobotModel</a></li>
<li>drawBattery()&#160;:&#160;<a class="el" href="class_robot_model.html#ad5aaa78e64238b82f7a6b8363bf1d4e9">RobotModel</a></li>
<li>drawBoard()&#160;:&#160;<a class="el" href="class_robot_model.html#af95c27a9257a9337c8b513c25b40db66">RobotModel</a></li>
<li>drawDetectionCircle()&#160;:&#160;<a class="el" href="class_robot_model.html#aa1bb3a43a9ca915f3c29d063ec4cc70d">RobotModel</a></li>
<li>drawFront()&#160;:&#160;<a class="el" href="class_robot_model.html#a4b263ab1f68a83cfa3d452d5815f4e78">RobotModel</a></li>
<li>drawFrontWall()&#160;:&#160;<a class="el" href="class_robot_model.html#a87661f0bd9710754adfc61ba51fb04db">RobotModel</a></li>
<li>drawFrontWing()&#160;:&#160;<a class="el" href="class_robot_model.html#a8e333fbe656aff04e02de1365c1efda8">RobotModel</a></li>
<li>drawMotor()&#160;:&#160;<a class="el" href="class_robot_model.html#a0169a2468fac501c9ad490f3e3b107b4">RobotModel</a></li>
<li>drawMotorFront()&#160;:&#160;<a class="el" href="class_robot_model.html#a8e238d0238c3ba612fe8308a41aa4688">RobotModel</a></li>
<li>drawMotorMain()&#160;:&#160;<a class="el" href="class_robot_model.html#a6d57174d36911f7a2ce5adbf20d37929">RobotModel</a></li>
<li>drawMotorRoller()&#160;:&#160;<a class="el" href="class_robot_model.html#a97109a084e61c1a3393c09c647328463">RobotModel</a></li>
<li>drawObstacle()&#160;:&#160;<a class="el" href="class_robot_model.html#a9d9e28b6fc0fe43de28cb93162389fb8">RobotModel</a></li>
<li>drawWheel()&#160;:&#160;<a class="el" href="class_robot_model.html#ab82a28cb17bce5ce86f098c1feb06b20">RobotModel</a></li>
</ul>


<h3><a id="index_e" name="index_e"></a>- e -</h3><ul>
<li>endConnection()&#160;:&#160;<a class="el" href="class_serial_port.html#a58d7a924c500dbbd169ab7ed0f60afef">SerialPort</a></li>
<li>endSerialConnection()&#160;:&#160;<a class="el" href="class_main_window.html#a0dc08b98850414e14c4ca6eff329346e">MainWindow</a></li>
<li>engLangChosen()&#160;:&#160;<a class="el" href="class_main_window.html#ae257f4aef4eadcf49538c2cb8c9488c7">MainWindow</a></li>
</ul>


<h3><a id="index_f" name="index_f"></a>- f -</h3><ul>
<li>FramedWidget()&#160;:&#160;<a class="el" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget</a></li>
</ul>


<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>getCounter()&#160;:&#160;<a class="el" href="class_robot_data.html#affa0add6183e662083841442a9976cb3">RobotData</a></li>
<li>getDistance()&#160;:&#160;<a class="el" href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f">RobotData</a></li>
<li>getMeasure()&#160;:&#160;<a class="el" href="class_robot_model.html#a134ea6dbabe4c3e668f5ac4a9ded970f">RobotModel</a></li>
<li>getTimeString()&#160;:&#160;<a class="el" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">Terminal</a></li>
<li>getVelocity()&#160;:&#160;<a class="el" href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa">RobotData</a></li>
</ul>


<h3><a id="index_i" name="index_i"></a>- i -</h3><ul>
<li>init()&#160;:&#160;<a class="el" href="class_viewer.html#a49181937ba861bdc52eb2476007a2b0b">Viewer</a></li>
</ul>


<h3><a id="index_k" name="index_k"></a>- k -</h3><ul>
<li>keepReading()&#160;:&#160;<a class="el" href="class_serial_port.html#a04a364848114cc5e6d9fb618b6b0a66d">SerialPort</a></li>
</ul>


<h3><a id="index_l" name="index_l"></a>- l -</h3><ul>
<li>languageChoice()&#160;:&#160;<a class="el" href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303">MainWindow</a></li>
</ul>


<h3><a id="index_m" name="index_m"></a>- m -</h3><ul>
<li>MainWindow()&#160;:&#160;<a class="el" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047">MainWindow</a></li>
<li>Map3D()&#160;:&#160;<a class="el" href="class_map3_d.html#abad559ba63171f87aaf6a2574d3c3dd5">Map3D</a></li>
<li>move()&#160;:&#160;<a class="el" href="class_robot_model.html#a462c63bf18c587c8f6eb6459be6b6fbe">RobotModel</a></li>
<li>moveRobot()&#160;:&#160;<a class="el" href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f">Map3D</a>, <a class="el" href="class_viewer.html#a37a4c731034836effceb714e30d12297">Viewer</a></li>
</ul>


<h3><a id="index_n" name="index_n"></a>- n -</h3><ul>
<li>NumericData()&#160;:&#160;<a class="el" href="class_numeric_data.html#a4867840ac08d28936e2fd457befa723e">NumericData</a></li>
</ul>


<h3><a id="index_p" name="index_p"></a>- p -</h3><ul>
<li>paintEvent()&#160;:&#160;<a class="el" href="class_robot_image.html#a5a0e32adc5fbc1bfc18f27fdf73c7b09">RobotImage</a></li>
<li>passMeasure()&#160;:&#160;<a class="el" href="class_map3_d.html#af1db43c016f502a56149a6fe3acdd365">Map3D</a>, <a class="el" href="class_viewer.html#a6a232130dc19f5204dc8c30a11fe9c56">Viewer</a></li>
<li>plLangChosen()&#160;:&#160;<a class="el" href="class_main_window.html#a08c3c589283d46ae876677cf581826f7">MainWindow</a></li>
</ul>


<h3><a id="index_r" name="index_r"></a>- r -</h3><ul>
<li>receiveData()&#160;:&#160;<a class="el" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad">SerialPort</a></li>
<li>refresh()&#160;:&#160;<a class="el" href="class_map3_d.html#a80745e5f188844063a60711d1c28ceb1">Map3D</a></li>
<li>retranslate()&#160;:&#160;<a class="el" href="class_main_window.html#a092bc60649c2831c9c0bb58e6d1bf1f1">MainWindow</a></li>
<li>returnCounter()&#160;:&#160;<a class="el" href="class_robot_data.html#a1dbb990ef5d66e5a48651c30b0183fb7">RobotData</a></li>
<li>returnDecriptor()&#160;:&#160;<a class="el" href="class_serial_port.html#a19e9af50f81a100e0e9bbaa5e2027b3d">SerialPort</a></li>
<li>returnDistance()&#160;:&#160;<a class="el" href="class_robot_data.html#a0e99308bd0a255942711d5a7f5cf9639">RobotData</a></li>
<li>returnMeasureIfConst()&#160;:&#160;<a class="el" href="class_robot_model.html#a08fd1adf414eb69aacc759b7effdde4f">RobotModel</a></li>
<li>returnRobotData()&#160;:&#160;<a class="el" href="class_serial_port.html#aa62756463c259f5a8e5d203227109322">SerialPort</a></li>
<li>returnRobotDistance()&#160;:&#160;<a class="el" href="class_map3_d.html#ad29147f780b915a93ea20e2219ebde1d">Map3D</a>, <a class="el" href="class_robot_model.html#a127d30bb649582d905960e7c144e9d58">RobotModel</a>, <a class="el" href="class_viewer.html#a2996edb66665ac972e036ee6b55608da">Viewer</a></li>
<li>returnSerial()&#160;:&#160;<a class="el" href="class_main_window.html#a663535964d681a72bd7baf64e5d336da">MainWindow</a></li>
<li>returnVelocity()&#160;:&#160;<a class="el" href="class_robot_data.html#ac12e26952ade6fa132e489bc0c95b6c2">RobotData</a></li>
<li>RobotData()&#160;:&#160;<a class="el" href="class_robot_data.html#a0007f4b014a950d356d2d63156b572af">RobotData</a></li>
<li>RobotImage()&#160;:&#160;<a class="el" href="class_robot_image.html#afbfa9b57df3c98be0c0c750d0003bc68">RobotImage</a></li>
<li>RobotModel()&#160;:&#160;<a class="el" href="class_robot_model.html#a65c03c3c26d969afaae0efff52653a9d">RobotModel</a></li>
</ul>


<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>serialEnded()&#160;:&#160;<a class="el" href="class_main_window.html#ac02bc0c466bc5b5ad43b8097a3642225">MainWindow</a></li>
<li>serialOpenError()&#160;:&#160;<a class="el" href="class_main_window.html#a5c8aee50c5585e4e36ab9e76c8f0318a">MainWindow</a></li>
<li>SerialPort()&#160;:&#160;<a class="el" href="class_serial_port.html#aca7d6ec84770df9715926afd3226454b">SerialPort</a></li>
<li>serialReady()&#160;:&#160;<a class="el" href="class_main_window.html#ad18033579ccdad6f39dea914b0c8eb9a">MainWindow</a></li>
<li>setBackgroundColour()&#160;:&#160;<a class="el" href="class_terminal.html#ad775e6fcf056ddda51a674a3e3f43b11">Terminal</a></li>
<li>setHLayout()&#160;:&#160;<a class="el" href="class_numeric_data.html#aaf52f467e0ea964e76ac7e955f23b2b1">NumericData</a>, <a class="el" href="class_travel_info.html#a2d74900881683d93e726b64fe1c9a710">TravelInfo</a></li>
<li>setHorizontalLayout()&#160;:&#160;<a class="el" href="class_main_window.html#a0a3c21256fcd526fa1ee8ce30bff6d70">MainWindow</a></li>
<li>setMaxWidth()&#160;:&#160;<a class="el" href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791">TravelInfo</a></li>
<li>setPlotGradient()&#160;:&#160;<a class="el" href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7">VelocityGraph</a></li>
<li>setStoredWidget()&#160;:&#160;<a class="el" href="class_distance_win.html#ac34b8fecb2ba393250b97f55518705cd">DistanceWin</a>, <a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">FramedWidget</a>, <a class="el" href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3">Map3D</a>, <a class="el" href="class_numeric_data.html#a1288fde6fb7304b3a63f58a8c39cc42a">NumericData</a>, <a class="el" href="class_terminal.html#a679df2b8a9473791a7190f180c06a1ee">Terminal</a>, <a class="el" href="class_travel_info.html#af594443e14524f51ec5d8d83adbac2fe">TravelInfo</a>, <a class="el" href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf">VelocityGraph</a></li>
<li>setVerticalLayout()&#160;:&#160;<a class="el" href="class_main_window.html#a505c42044d50b095841812dac82e385a">MainWindow</a></li>
<li>setVLayout()&#160;:&#160;<a class="el" href="class_distance_win.html#a8bf9c3a9ff780ebdb692205762a88e81">DistanceWin</a>, <a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">FramedWidget</a>, <a class="el" href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066">Map3D</a>, <a class="el" href="class_terminal.html#ad54014a5ede6a6da9d3f8c3cc0dd393a">Terminal</a>, <a class="el" href="class_travel_info.html#abb606d890020bd082c842de4963f4ba4">TravelInfo</a>, <a class="el" href="class_velocity_graph.html#a72f9c018ae8ceafa47a32b6b9a3238b0">VelocityGraph</a></li>
<li>startConnection()&#160;:&#160;<a class="el" href="class_serial_port.html#ab8617347c0bd495e80d39e563ec8e750">SerialPort</a></li>
<li>startSerialConnection()&#160;:&#160;<a class="el" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24">MainWindow</a></li>
<li>startThread()&#160;:&#160;<a class="el" href="class_main_window.html#a3a503f5106dd5b87c5bd928c4737016c">MainWindow</a></li>
<li>stopTimer()&#160;:&#160;<a class="el" href="class_main_window.html#ae57531c18dc214964cb2de3f334dba0f">MainWindow</a></li>
</ul>


<h3><a id="index_t" name="index_t"></a>- t -</h3><ul>
<li>Terminal()&#160;:&#160;<a class="el" href="class_terminal.html#afba3c4445e1aa212be657a0460a9b070">Terminal</a></li>
<li>TravelInfo()&#160;:&#160;<a class="el" href="class_travel_info.html#a5e690c384afedf00affae1abdb911e40">TravelInfo</a></li>
<li>typeEng()&#160;:&#160;<a class="el" href="class_main_window.html#aa3a78aeb57b0f47aeb58da36e9e2e16a">MainWindow</a></li>
<li>typeEngLang()&#160;:&#160;<a class="el" href="class_terminal.html#a7a46effe2bef072b6dfe72a52551edaa">Terminal</a></li>
<li>typeObstacleDetected()&#160;:&#160;<a class="el" href="class_terminal.html#a309e9e3b36e0af1fbf7df19a36ec58dd">Terminal</a></li>
<li>typePl()&#160;:&#160;<a class="el" href="class_main_window.html#a8fc137b4622ea499e3a9c37bbcf6fb63">MainWindow</a></li>
<li>typePlLang()&#160;:&#160;<a class="el" href="class_terminal.html#a18a4559d30c3e67c7d76964460aa0681">Terminal</a></li>
<li>typeSerialEnded()&#160;:&#160;<a class="el" href="class_terminal.html#ac7dee8173df7da33ac52dc399a2a2361">Terminal</a></li>
<li>typeSerialOpenError()&#160;:&#160;<a class="el" href="class_terminal.html#a965c70b8309ba765f8575b46c272c8cf">Terminal</a></li>
<li>typeSerialReadError()&#160;:&#160;<a class="el" href="class_terminal.html#aaa6bdacda486c7f68835318acd0ab597">Terminal</a></li>
<li>typeSerialReady()&#160;:&#160;<a class="el" href="class_terminal.html#abeee2c56557f7086f2212548c49fdc0e">Terminal</a></li>
</ul>


<h3><a id="index_u" name="index_u"></a>- u -</h3><ul>
<li>update()&#160;:&#160;<a class="el" href="class_numeric_data.html#a4b956764140411b9e8249ec9e4bd9b14">NumericData</a></li>
<li>updateCoords()&#160;:&#160;<a class="el" href="class_travel_info.html#a65eb7f9f08f585df6654f05238c9a526">TravelInfo</a></li>
<li>updateDistance()&#160;:&#160;<a class="el" href="class_travel_info.html#a3a7cf7c55842a5ca903c4cfdecc98921">TravelInfo</a></li>
<li>updateDistances()&#160;:&#160;<a class="el" href="class_distance_win.html#af2f5aa946689b7e5274052aa9af6d442">DistanceWin</a></li>
<li>updateWheelVelocity()&#160;:&#160;<a class="el" href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52">VelocityGraph</a></li>
<li>updateWindow()&#160;:&#160;<a class="el" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550">MainWindow</a></li>
</ul>


<h3><a id="index_v" name="index_v"></a>- v -</h3><ul>
<li>VelocityGraph()&#160;:&#160;<a class="el" href="class_velocity_graph.html#abbf1a1c5050244e226995ee047dfbcff">VelocityGraph</a></li>
<li>Viewer()&#160;:&#160;<a class="el" href="class_viewer.html#ad9bcb555f66a790a392d2af4b4f7f1d6">Viewer</a></li>
</ul>


<h3><a id="index_w" name="index_w"></a>- w -</h3><ul>
<li>writeLine()&#160;:&#160;<a class="el" href="class_travel_info.html#a7372d7b6b3cab2310b3e6482df168041">TravelInfo</a></li>
</ul>


<h3><a id="index__7E" name="index__7E"></a>- ~ -</h3><ul>
<li>~FramedWidget()&#160;:&#160;<a class="el" href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">FramedWidget</a></li>
<li>~MainWindow()&#160;:&#160;<a class="el" href="class_main_window.html#ae98d00a93bc118200eeef9f9bba1dba7">MainWindow</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
